Last Comment Bug 702868 - AddonInternal.hasBinaryComponents doesn't affect AddonInternal.appDisabled until after initial install
: AddonInternal.hasBinaryComponents doesn't affect AddonInternal.appDisabled un...
Status: VERIFIED FIXED
[qa!]
: verified-aurora
Product: Toolkit
Classification: Components
Component: Add-ons Manager (show other bugs)
: 10 Branch
: All All
: P1 normal (vote)
: mozilla11
Assigned To: Blair McBride [:Unfocused] (mostly unavailable, needinfo open, reviews not)
:
Mentors:
Depends on:
Blocks: 693899
  Show dependency treegraph
 
Reported: 2011-11-15 19:20 PST by Blair McBride [:Unfocused] (mostly unavailable, needinfo open, reviews not)
Modified: 2011-11-29 07:10 PST (History)
3 users (show)
bmcbride: in‑testsuite+
bmcbride: in‑litmus-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
Patch v1 (6.76 KB, patch)
2011-11-16 02:44 PST, Blair McBride [:Unfocused] (mostly unavailable, needinfo open, reviews not)
dtownsend: review+
lmandel: approval‑mozilla‑aurora+
Details | Diff | Review

Description Blair McBride [:Unfocused] (mostly unavailable, needinfo open, reviews not) 2011-11-15 19:20:47 PST
Addons with binary components that aren't strictly compatible are still able to get installed.

Cause: loadManifestFromRDF() sets appDisabled based on isUsableAddon(). However, hasBinaryComponents isn't determined until after loadManifestFromRDF() returns, so it's not taken into account until after the addon is installed.



(Thanks to Virgil in QA for catching this.)
Comment 1 Blair McBride [:Unfocused] (mostly unavailable, needinfo open, reviews not) 2011-11-16 02:44:14 PST
Created attachment 574855 [details] [diff] [review]
Patch v1
Comment 2 Blair McBride [:Unfocused] (mostly unavailable, needinfo open, reviews not) 2011-11-16 20:33:54 PST
https://hg.mozilla.org/integration/fx-team/rev/6b2a7c8e58de
Comment 3 Blair McBride [:Unfocused] (mostly unavailable, needinfo open, reviews not) 2011-11-16 20:38:03 PST
Comment on attachment 574855 [details] [diff] [review]
Patch v1

Same deal as bug 700201 - part of the big compatible-by-default push, which isn't enabled on Aurora yet (though it will soon be on central!), but would like to get this in so QA can go over it and to avoid bitrot.
Comment 4 Lawrence Mandel [:lmandel] (use needinfo) 2011-11-17 14:52:24 PST
Comment on attachment 574855 [details] [diff] [review]
Patch v1

Please land on M-C (currently on fx-team) as well as Aurora.
Comment 5 Blair McBride [:Unfocused] (mostly unavailable, needinfo open, reviews not) 2011-11-17 18:02:08 PST
https://hg.mozilla.org/mozilla-central/rev/6b2a7c8e58de
Comment 6 Blair McBride [:Unfocused] (mostly unavailable, needinfo open, reviews not) 2011-11-17 18:25:04 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/b621aa998435
Comment 7 Virgil Dicu [:virgil] [QA] 2011-11-29 07:10:31 PST
Mozilla/5.0 (Windows NT 5.1; rv:11.0a1) Gecko/20111127 Firefox/11.0a1
Mozilla/5.0 (Windows NT 5.1; rv:10.0a2) Gecko/20111127 Firefox/10.0a2

https://addons.mozilla.org/en-US/firefox/addon/foxytunes/?src=ss
https://addons.mozilla.org/en-US/firefox/addon/grafx-bot/?src=ss

Verified Aurora and Nightly on Ubuntu 11.10, Windows XP, 7, Mac OS 10.6.

Binary add-ons can no longer be installed with strictCompatibility enabled.

Note You need to log in before you can comment on or make changes to this bug.